curl --request POST \
--url https://api.yourjobsearchgenius.ai/v1/packages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"price": 123,
"freeTrialDays": 7
}
'import requests
url = "https://api.yourjobsearchgenius.ai/v1/packages"
payload = {
"name": "<string>",
"price": 123,
"freeTrialDays": 7
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', price: 123, freeTrialDays: 7})
};
fetch('https://api.yourjobsearchgenius.ai/v1/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"price": 123,
"interval": "Daily",
"freeTrialDays": 7,
"status": "Active",
"checkoutLink": "https://example.com/auto-login?token=abc123"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Create Package
Define a new subscription package with customizable features like billing intervals, pricing, and free trial periods.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Package to add to the system
The name of the package.
The price of the package.
The billing interval for the package. Possible values: Daily, Weekly, Bi-Weekly, Monthly, Quarterly, Yearly.
Daily, Weekly, Bi-Weekly, Monthly, Quarterly, Yearly The number of free trial days. Send 0 if no free trial days. Min:0, Max:7.
x <= 77
Response
Resource updated
^[a-fA-F0-9]{24}$"507f1f77bcf86cd799439011"
The name of the package.
The price of the package.
The billing interval for the package. Possible values: Daily, Weekly, Bi-Weekly, Monthly, Quarterly, Yearly.
Daily, Weekly, Bi-Weekly, Monthly, Quarterly, Yearly "Daily"
The number of free trial days. Send 0 if no free trial days. Min:0, Max:7.
x <= 77
The status of the package. Possible values: Active, Inactive.
Active, Inactive "Active"
The checkout link for this package.
"https://example.com/auto-login?token=abc123"